List Task Executions (Legacy)
curl --request GET \
--url https://api.anchorbrowser.io/v1/task/{taskId}/executions \
--header 'anchor-api-key: <api-key>'import requests
url = "https://api.anchorbrowser.io/v1/task/{taskId}/executions"
headers = {"anchor-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'anchor-api-key': '<api-key>'}};
fetch('https://api.anchorbrowser.io/v1/task/{taskId}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taskVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"output": "<string>",
"errorMessage": "<string>",
"executionTime": 123
}
],
"pagination": {
"page": 2,
"limit": 2,
"total": 1,
"totalPages": 1
}
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}Tasks (Legacy)
List Task Executions (Legacy)
Retrieves execution history for a task, including success/failure status, execution times, and outputs. Results can be filtered by version and status.
If you are using the new Task Builder, see the Tasks V2 endpoints in this API reference.
GET
/
v1
/
task
/
{taskId}
/
executions
List Task Executions (Legacy)
Authorizations
API key passed in the header
Path Parameters
The ID of the task
Query Parameters
Page number
Pattern:
^[1-9]\d*$Number of results per page
Pattern:
^[1-9]\d*$Filter by execution status
Available options:
success, failure, timeout, cancelled, queued, running Filter by task version
Response
Task executions retrieved successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I

